#include <iostream>

using namespace std;

int main() {
  
  int a, b, x, y;
  cin >> a >> b >> x >> y;

  // Broj golova postignut od strane prvog i od strane drugog tima
  int drugo_poluvreme_a = a - x;
  int drugo_poluvreme_b = b - y;


  if (a > b && x == y) {
    cout << "prvi" << endl;
  } else if (a < b && x == y) {
    cout << "drugi" << endl;
  } else if (a == b && x != y) {
    cout << "?" << endl;
  } else if (drugo_poluvreme_a > drugo_poluvreme_b) {
    cout << "prvi" << endl;
  } else if (drugo_poluvreme_a < drugo_poluvreme_b) {
    cout << "drugi" << endl;
  } else if (drugo_poluvreme_a == 0 && drugo_poluvreme_b == 0) {
    cout << "nijedan" << endl;
  } else {
    cout << "?" << endl;
  }

  return 0;
}